# Parma_Polyhedra_Library::Constraint_System::const_iterator Class Reference
[C++ Language Interface]

An iterator over a system of constraints. More...

List of all members.

## Public Member Functions

| const_iterator ()
| Default constructor.
| const_iterator (const const_iterator &y)
| Ordinary copy-constructor.
| ~const_iterator ()
| Destructor.
const_iterator & | operator= (const const_iterator &y)
| Assignment operator.
const Constraint & | operator * () const
| Dereference operator.
const Constraint * | operator-> () const
| Indirect member selector.
const_iterator & | operator++ ()
| Prefix increment operator.
const_iterator | operator++ (int)
| Postfix increment operator.
bool | operator== (const const_iterator &y) const
| Returns `true` if and only if `*this` and `y` are identical.
bool | operator!= (const const_iterator &y) const
| Returns `true` if and only if `*this` and `y` are different.

## Detailed Description

An iterator over a system of constraints.

A const_iterator is used to provide read-only access to each constraint contained in a Constraint_System object.

Example
  The following code prints the system of constraints defining the polyhedron `ph`:

        const Constraint_System& cs = ph.constraints();
        for (Constraint_System::const_iterator i = cs.begin(),
               cs_end = cs.end(); i != cs_end; ++i)
          cout << *i << endl;